<?xml version="1.0" encoding="UTF-8"?>
<problem
    version="1.0"
    id ="ru.ifmo.neerc.io.2014-2015.20141220i.subsequences"
>
    <judging>
        <script type="%ioi">
            <testset
                name="preliminary"

                input-name  ="subsequences.in"
                output-name ="subsequences.out"
                input-href  ="preliminary/##"
                answer-href ="preliminary/##.a"

                time-limit = "2s"
                memory-limit ="268435456"
            >
                <test points="0" comment="sample 1"/>
                <test points="0" comment="sample 2"/>
            </testset>

            <testset
                name ="main"
                input-name  ="subsequences.in"
                output-name ="subsequences.out"
                input-href  ="tests/##"
                answer-href ="tests/##.a"

                time-limit ="2s"
                memory-limit ="268435456"
            >
                <test-group
                    comment = "n &lt;= 10"
                    score = "sum"
                    feedback = "outcome"
                    group-bonus = "30"
                >
                    <test points = "0" comment = "all different, n=1"/>                
                    <test points = "0" comment = "random, n=10"/>                
                    <test points = "0" comment = "random, n=7"/>                
                    <test points = "0" comment = "random, n=7"/>                
                    <test points = "0" comment = "random, n=7"/>                
                    <test points = "0" comment = "random, n=9"/>                
                    <test points = "0" comment = "random, n=10"/>                
                    <test points = "0" comment = "random, n=10"/>                
                    <test points = "0" comment = "random, n=10"/>                
                    <test points = "0" comment = "random, n=10"/>                
                    <test points = "0" comment = "all different, n=10"/>                
                    <test points = "0" comment = "morse-tue, n=10"/>                
                </test-group>

                <test-group
                    comment = "n &lt;= 300"
                    score = "sum"
                    feedback = "outcome"
                    group-bonus = "20"
                >
                    <test points = "0" comment = "random, n=300"/>                
                    <test points = "0" comment = "random, n=154"/>                
                    <test points = "0" comment = "random, n=101"/>                
                    <test points = "0" comment = "random, n=213"/>                
                    <test points = "0" comment = "random, n=165"/>                
                    <test points = "0" comment = "random, n=291"/>                
                    <test points = "0" comment = "random, n=300"/>                
                    <test points = "0" comment = "random, n=300"/>                
                    <test points = "0" comment = "random, n=300"/>                
                    <test points = "0" comment = "all different, n=300"/>                
                    <test points = "0" comment = "morse-tue, n=300"/>                
                </test-group>

                <test-group
                    comment = "n &lt;= 2000"
                    score = "sum"
                    feedback = "outcome"
                    group-bonus = "10"
                >
                    <test points = "0" comment = "random, n=2000"/>                
                    <test points = "0" comment = "random, n=482"/>                
                    <test points = "0" comment = "random, n=321"/>                
                    <test points = "0" comment = "random, n=260"/>                
                    <test points = "0" comment = "random, n=1466"/>                
                    <test points = "0" comment = "random, n=1368"/>                
                    <test points = "0" comment = "random, n=2000"/>                
                    <test points = "0" comment = "random, n=2000"/>                
                    <test points = "0" comment = "random, n=2000"/>                
                    <test points = "0" comment = "all different, n=2000"/>                
                    <test points = "0" comment = "morse-tue, n=2000"/>                
                </test-group>

                <test-group
                    comment = "n &lt;= 100000"
                    score = "sum"
                    feedback = "outcome"
                    group-bonus = "40"
                >
                    <test points = "0" comment = "random, n=100000"/>                
                    <test points = "0" comment = "random, n=29869"/>                
                    <test points = "0" comment = "random, n=70729"/>                
                    <test points = "0" comment = "random, n=42048"/>                
                    <test points = "0" comment = "random, n=80247"/>                
                    <test points = "0" comment = "random, n=69106"/>                
                    <test points = "0" comment = "random, n=100000"/>                
                    <test points = "0" comment = "random, n=100000"/>                
                    <test points = "0" comment = "random, n=100000"/>                
                    <test points = "0" comment = "all different, n=100000"/>                
                    <test points = "0" comment = "morse-tue, n=100000"/>                
                    <test points = "0" comment = "ans = 0; n = 214"/>                
                    <test points = "0" comment = "ans = 10000000006; n = 133"/>                
                </test-group>

            </testset>

            <verifier type="%testlib">
                <binary executable-id ="java.check" file ="check.jar" />
            </verifier>
        </script>
    </judging>
</problem>
